% táto funkcia slúzi na vyhladávanie krajnych bodov detekovatelnej ihly
% x1,y1 je posledny bod ihly napravo
% x a y je bod na lavej strane
function[x,y,x1,y1]= search2(VYSL_bw)
[rows,cols]=size(VYSL_bw);
i=1;j=1;
y=0;x=0;
x1=0;y1=0;
buff2=0;
count=0;
buff=0; % ked nenajde ani jeden bod , v dalsich vypoctoch moze delit nulou
while (j<cols) %najprv vsetky stlpce dekrementuje a potom riadky
    while (i<rows)
        if (((VYSL_bw(i,j))>0) && i>(i-1)) % +30 pixelov priemeruje na lavej strane v hornom pre krajny bod
            if(count==0)
                count=j;
            end
            if((count+30)>(j))
            x=x+i;y=y+j;
            buff=buff+1; % priemer pocitanie
            end
        end
        if ( (VYSL_bw(i,j) )>0  ) % ked najde posledny bod 1 zapise do  x,y hodnoty i,j
            x1=i;
            y1=j;
%             buff2=buff2+1;
        end
        i=i+1;
        
    end
    i=1;
    j=j+1;
end
%koment
x=round(x/buff);% priemer pocitanie
y=round(y/buff);
end